Index: npl/overig/ncdu/ncdu.SlackBuild
===================================================================
--- npl/overig/ncdu/ncdu.SlackBuild	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/overig/ncdu/ncdu.SlackBuild	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+##NEED:...
+#DEP:ncurses
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/ncdu/ncdu.arch
===================================================================
--- npl/overig/ncdu/ncdu.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/overig/ncdu/ncdu.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/ncdu/ncdu.build
===================================================================
--- npl/overig/ncdu/ncdu.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/overig/ncdu/ncdu.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/ncdu/ncdu.depver
===================================================================
--- npl/overig/ncdu/ncdu.depver	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/overig/ncdu/ncdu.depver	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+ncurses	0
Index: npl/overig/ncdu/ncdu.md5
===================================================================
--- npl/overig/ncdu/ncdu.md5	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/overig/ncdu/ncdu.md5	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,4 @@
+7365ac46c420bc511621216b1747984f  ./ncdu-1.12.tar.gz
+2d16295b9497b0cb7bcee09d5df86954  ./ncdu.pkg
+552c529ea8ddb0399dee1cfeac638f16  ./ncdu.SlackBuild
+a7dcd7d42b426006bf3cf80b5c8ac4d0  ./ncdu.SlackBuild.log.gz
Index: npl/overig/ncdu/ncdu.version
===================================================================
--- npl/overig/ncdu/ncdu.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/overig/ncdu/ncdu.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+1.12
